diff -ruaN linux-2.6.16.orig/scripts/package/Makefile linux-2.6.16/scripts/package/Makefile
--- linux-2.6.16.orig/scripts/package/Makefile	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/scripts/package/Makefile	2006-06-17 19:08:46.000000000 -0700
@@ -32,7 +32,7 @@
 PREV       := set -e; cd ..;
 
 # rpm-pkg
-.PHONY: rpm-pkg rpm
+PHONY += rpm-pkg rpm
 
 $(objtree)/kernel.spec: $(MKSPEC) $(srctree)/Makefile
 	$(CONFIG_SHELL) $(MKSPEC) > $@
@@ -54,10 +54,10 @@
 clean-files := $(objtree)/kernel.spec
 
 # binrpm-pkg
-.PHONY: binrpm-pkg
+PHONY += binrpm-pkg
 $(objtree)/binkernel.spec: $(MKSPEC) $(srctree)/Makefile
 	$(CONFIG_SHELL) $(MKSPEC) prebuilt > $@
-	
+
 binrpm-pkg: $(objtree)/binkernel.spec
 	$(MAKE) KBUILD_SRC=
 	set -e; \
@@ -72,7 +72,7 @@
 # Deb target
 # ---------------------------------------------------------------------------
 #
-.PHONY: deb-pkg
+PHONY += deb-pkg
 deb-pkg:
 	$(MAKE) KBUILD_SRC=
 	$(CONFIG_SHELL) $(srctree)/scripts/package/builddeb
@@ -82,7 +82,7 @@
 
 # tarball targets
 # ---------------------------------------------------------------------------
-.PHONY: tar%pkg
+PHONY += tar%pkg
 tar%pkg:
 	$(MAKE) KBUILD_SRC=
 	$(CONFIG_SHELL) $(srctree)/scripts/package/buildtar $@
diff -ruaN linux-2.6.16.orig/security/keys/key.c linux-2.6.16/security/keys/key.c
--- linux-2.6.16.orig/security/keys/key.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/security/keys/key.c	2006-06-17 19:08:46.000000000 -0700
@@ -785,6 +785,10 @@
 
 	key_check(keyring);
 
+	key_ref = ERR_PTR(-ENOTDIR);
+	if (keyring->type != &key_type_keyring)
+		goto error_2;
+
 	down_write(&keyring->sem);
 
 	/* if we're going to allocate a new key, we're going to have
diff -ruaN linux-2.6.16.orig/security/keys/keyring.c linux-2.6.16/security/keys/keyring.c
--- linux-2.6.16.orig/security/keys/keyring.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/security/keys/keyring.c	2006-06-17 19:08:46.000000000 -0700
@@ -437,6 +437,7 @@
 /*
  * search the given keyring only (no recursion)
  * - keyring must be locked by caller
+ * - caller must guarantee that the keyring is a keyring
  */
 key_ref_t __keyring_search_one(key_ref_t keyring_ref,
 			       const struct key_type *ktype,
diff -ruaN linux-2.6.16.orig/security/selinux/ss/mls.c linux-2.6.16/security/selinux/ss/mls.c
--- linux-2.6.16.orig/security/selinux/ss/mls.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/security/selinux/ss/mls.c	2006-06-17 19:08:46.000000000 -0700
@@ -264,7 +264,7 @@
 
 	if (!selinux_mls_enabled) {
 		if (def_sid != SECSID_NULL && oldc)
-			*scontext += strlen(*scontext);
+			*scontext += strlen(*scontext)+1;
 		return 0;
 	}
 
diff -ruaN linux-2.6.16.orig/security/selinux/ss/services.c linux-2.6.16/security/selinux/ss/services.c
--- linux-2.6.16.orig/security/selinux/ss/services.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/security/selinux/ss/services.c	2006-06-17 19:08:46.000000000 -0700
@@ -592,6 +592,10 @@
 
 			*scontext_len = strlen(initial_sid_to_string[sid]) + 1;
 			scontextp = kmalloc(*scontext_len,GFP_ATOMIC);
+			if (!scontextp) {
+				rc = -ENOMEM;
+				goto out;
+			}
 			strcpy(scontextp, initial_sid_to_string[sid]);
 			*scontext = scontextp;
 			goto out;
diff -ruaN linux-2.6.16.orig/sound/isa/opti9xx/opti92x-ad1848.c linux-2.6.16/sound/isa/opti9xx/opti92x-ad1848.c
--- linux-2.6.16.orig/sound/isa/opti9xx/opti92x-ad1848.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/sound/isa/opti9xx/opti92x-ad1848.c	2006-06-17 19:08:46.000000000 -0700
@@ -2088,9 +2088,11 @@
 	int error;
 	struct platform_device *device;
 
+#ifdef CONFIG_PNP
 	pnp_register_card_driver(&opti9xx_pnpc_driver);
 	if (snd_opti9xx_pnp_is_probed)
 		return 0;
+#endif
 	if (! is_isapnp_selected()) {
 		error = platform_driver_register(&snd_opti9xx_driver);
 		if (error < 0)
@@ -2102,7 +2104,9 @@
 		}
 		platform_driver_unregister(&snd_opti9xx_driver);
 	}
+#ifdef CONFIG_PNP
 	pnp_unregister_card_driver(&opti9xx_pnpc_driver);
+#endif
 #ifdef MODULE
 	printk(KERN_ERR "no OPTi " CHIP_NAME " soundcard found\n");
 #endif
@@ -2115,7 +2119,9 @@
 		platform_device_unregister(snd_opti9xx_platform_device);
 		platform_driver_unregister(&snd_opti9xx_driver);
 	}
+#ifdef CONFIG_PNP
 	pnp_unregister_card_driver(&opti9xx_pnpc_driver);
+#endif
 }
 
 module_init(alsa_card_opti9xx_init)
diff -ruaN linux-2.6.16.orig/sound/oss/dmasound/tas_common.c linux-2.6.16/sound/oss/dmasound/tas_common.c
--- linux-2.6.16.orig/sound/oss/dmasound/tas_common.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/sound/oss/dmasound/tas_common.c	2006-06-17 19:08:46.000000000 -0700
@@ -195,8 +195,8 @@
 
 	printk(KERN_INFO "tas driver [%s])\n", driver_name);
 
-#ifndef CONFIG_I2C_KEYWEST
-	request_module("i2c-keywest");
+#ifndef CONFIG_I2C_POWERMAC
+	request_module("i2c-powermac");
 #endif
 	tas_node = find_devices("deq");
 	if (tas_node == NULL)
diff -ruaN linux-2.6.16.orig/sound/pci/hda/patch_realtek.c linux-2.6.16/sound/pci/hda/patch_realtek.c
--- linux-2.6.16.orig/sound/pci/hda/patch_realtek.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/sound/pci/hda/patch_realtek.c	2006-06-17 19:08:46.000000000 -0700
@@ -2948,6 +2948,8 @@
 	{ .modelname = "basic", .config = ALC260_BASIC },
 	{ .pci_subvendor = 0x104d, .pci_subdevice = 0x81bb,
 	  .config = ALC260_BASIC }, /* Sony VAIO */
+	{ .pci_subvendor = 0x152d, .pci_subdevice = 0x0729,
+	  .config = ALC260_BASIC }, /* CTL Travel Master U553W */
 	{ .modelname = "hp", .config = ALC260_HP },
 	{ .pci_subvendor = 0x103c, .pci_subdevice = 0x3010, .config = ALC260_HP },
 	{ .pci_subvendor = 0x103c, .pci_subdevice = 0x3011, .config = ALC260_HP },
diff -ruaN linux-2.6.16.orig/sound/ppc/daca.c linux-2.6.16/sound/ppc/daca.c
--- linux-2.6.16.orig/sound/ppc/daca.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/sound/ppc/daca.c	2006-06-17 19:08:46.000000000 -0700
@@ -256,7 +256,7 @@
 
 #ifdef CONFIG_KMOD
 	if (current->fs->root)
-		request_module("i2c-keywest");
+		request_module("i2c-powermac");
 #endif /* CONFIG_KMOD */	
 
 	mix = kmalloc(sizeof(*mix), GFP_KERNEL);
diff -ruaN linux-2.6.16.orig/sound/ppc/tumbler.c linux-2.6.16/sound/ppc/tumbler.c
--- linux-2.6.16.orig/sound/ppc/tumbler.c	2006-03-19 21:53:29.000000000 -0800
+++ linux-2.6.16/sound/ppc/tumbler.c	2006-06-17 19:08:46.000000000 -0700
@@ -1314,7 +1314,7 @@
 
 #ifdef CONFIG_KMOD
 	if (current->fs->root)
-		request_module("i2c-keywest");
+		request_module("i2c-powermac");
 #endif /* CONFIG_KMOD */	
 
 	mix = kmalloc(sizeof(*mix), GFP_KERNEL);
